Delete folder
Deletes a folder with the specified folderID.
Deleting a folder moves the user's content in the folder to the
Trash(opens in a new tab or window) and content owned by
other users is moved to the top level of the owner's
projects(opens in a new tab or window).
HTTP method and URL path
https://api.canva.com /rest /v1 /folders/{folderId}This operation is rate limited to 20 requests per minute for each user of your integration.
Authentication and authorization
This endpoint requires a valid access token that acts on behalf of a user.
Scopes
The access token must have all the following scopes (permissions):
folder:write
Header parameters
Path parameters
folderIdstringThe folder ID.
Example request
Examples for using the /v1/folders/{folderId} endpoint:
curl --request DELETE 'https://api.canva.com/rest/v1/folders/{folderId}' \--header 'Authorization: Bearer {token}'
const fetch = require("node-fetch");fetch("https://api.canva.com/rest/v1/folders/{folderId}", {method: "DELETE",headers: {"Authorization": "Bearer {token}",},}).then(async (response) => {const data = await response.json();console.log(data);}).catch(err => console.error(err));
import java.io.IOException;import java.net.URI;import java.net.http.*;public class ApiExample {public static void main(String[] args) throws IOException, InterruptedException {HttpRequest request = HttpRequest.newBuilder().uri(URI.create("https://api.canva.com/rest/v1/folders/{folderId}")).header("Authorization", "Bearer {token}").method("DELETE", HttpRequest.BodyPublishers.noBody()).build();HttpResponse<String> response = HttpClient.newHttpClient().send(request,HttpResponse.BodyHandlers.ofString());System.out.println(response.body());}}
import requestsheaders = {"Authorization": "Bearer {token}"}response = requests.delete("https://api.canva.com/rest/v1/folders/{folderId}",headers=headers)print(response.json())
using System.Net.Http;var client = new HttpClient();var request = new HttpRequestMessage{Method = HttpMethod.Delete,RequestUri = new Uri("https://api.canva.com/rest/v1/folders/{folderId}"),Headers ={{ "Authorization", "Bearer {token}" },},};using (var response = await client.SendAsync(request)){response.EnsureSuccessStatusCode();var body = await response.Content.ReadAsStringAsync();Console.WriteLine(body);};
package mainimport ("fmt""io""net/http")func main() {url := "https://api.canva.com/rest/v1/folders/{folderId}"req, _ := http.NewRequest("DELETE", url, nil)req.Header.Add("Authorization", "Bearer {token}")res, _ := http.DefaultClient.Do(req)defer res.Body.Close()body, _ := io.ReadAll(res.Body)fmt.Println(string(body))}
$curl = curl_init();curl_setopt_array($curl, array(CURLOPT_URL => "https://api.canva.com/rest/v1/folders/{folderId}",CURLOPT_CUSTOMREQUEST => "DELETE",CURLOPT_RETURNTRANSFER => true,CURLOPT_HTTPHEADER => array('Authorization: Bearer {token}',),));$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if (empty($err)) {echo $response;} else {echo "Error: " . $err;}
require 'net/http'require 'uri'url = URI('https://api.canva.com/rest/v1/folders/{folderId}')http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Delete.new(url)request['Authorization'] = 'Bearer {token}'response = http.request(request)puts response.read_body
Success response
If successful, the endpoint returns the status code 204 No content without a response body.
Error responses
400 Bad Request
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error response
The root ID is an alias, not a folder
{"code": "bad_request_params","message": "The 'root' ID is an alias to list items without a folder. It's not a folder."}
403 Forbidden
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error responses
Not allowed to access the folder
{"code": "permission_denied","message": "{message}"}
The operation is not allowed on the uploads folder
{"code": "permission_denied","message": "{method} is not allowed on the 'uploads' folder."}
404 Not Found
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error response
The folder was not found
{"code": "folder_not_found","message": "Folder not found"}